Bug 439342 - wireshark doesn't launch w/ enforcing selinux
wireshark doesn't launch w/ enforcing selinux
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 01:10 EDT by Dan Berger
Modified: 2009-01-09 01:16 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:16:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Berger 2008-03-28 01:10:41 EDT
Description of problem:

selinux prevents launching wireshark as a normal user, even once successfully
authenticating as root.

Version-Release number of selected component (if applicable):
0.99.7-2.fc8

How reproducible:
every time

Steps to Reproduce:
1. run /usr/bin/wireshark
2. enter the root password
3. observe the avc denial
  
Actual results:

raw audit messages:

host=rage..org type=AVC msg=audit(1206680818.810:1182): avc: denied { transition
} for pid=7939 comm="userhelper" path="/usr/sbin/wireshark" dev=dm-0 ino=2714977
scontext=system_u:system_r:mono_t:s0 tcontext=system_u:system_r:unconfined_t:s0
tclass=process 

host=rage..org type=SYSCALL msg=audit(1206680818.810:1182): arch=c000003e
syscall=59 success=no exit=-13 a0=60d450 a1=7fff6864d968 a2=60d600 a3=4000
items=0 ppid=7934 pid=7939 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0
sgid=0 fsgid=0 tty=pts2 comm="userhelper" exe="/usr/sbin/userhelper"
subj=system_u:system_r:mono_t:s0 key=(null) 

Expected results:


Additional info:

% sudo /usr/bin/wireshark has the same problem

% sudo /usr/sbin/wireshark works as expected.
Comment 1 Bug Zapper 2008-11-26 05:17:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:16:03 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.